Loading...
Searching...
No Matches
netlink_pm.c File Reference

Kernel generic netlink path manager details. More...

`#include <stdbool.h>`
`#include <stdio.h>`
`#include <ell/ell.h>`
`#include "netlink_pm.h"`
Include dependency graph for netlink_pm.c:

## Functions

bool | mptcpd_is_kernel_mptcp_enabled (char const *path, char const *variable, int enable_val)
| Verify that MPTCP is enabled at run-time in the kernel.

## Detailed Description

Kernel generic netlink path manager details.

Copyright (c) 2017-2021, Intel Corporation

## Function Documentation

## mptcpd_is_kernel_mptcp_enabled()

bool mptcpd_is_kernel_mptcp_enabled | ( | char const * | path,
|  | char const * | variable,
|  | int | enable_val
| ) |  |

Verify that MPTCP is enabled at run-time in the kernel.

Check that MPTCP is enabled through the specified `sysctl` variable.

Parameters

  [in] | path | Path to file containing MPTCP sysctl "enable" value, e.g. "/proc/sys/net/mptcp/enabled".
  [in] | variable | Name of "enabled" variable.
  [in] | enable_val | Value needed to enable MPTCP in the kernel.

Returns
  `true` if MPTCP is enabled in the kernel, and `false` otherwise.